Get a lifecycle task by ID
GET
/tasks/lifecycle/{taskId}
const url = 'https://sylve.lan:8181/api/tasks/lifecycle/1';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://sylve.lan:8181/api/tasks/lifecycle/1 \ --header 'Authorization: <Authorization>'Observe an exact queued, running, or terminal task without executing it
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”taskId
required
integer
Task ID
Responses
Section titled “Responses”Success
Media typeapplication/json
object
data
object
action
string
createdAt
string
error
string
finishedAt
string
guestId
integer
guestType
string
id
integer
message
string
overrideRequested
boolean
payload
string
requestedBy
string
source
string
startedAt
string
status
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{ "data": { "action": "example", "createdAt": "example", "error": "example", "finishedAt": "example", "guestId": 1, "guestType": "example", "id": 1, "message": "example", "overrideRequested": true, "payload": "example", "requestedBy": "example", "source": "example", "startedAt": "example", "status": "example", "updatedAt": "example" }, "error": "example", "message": "example", "status": "example"}Bad Request
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Not Found
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}Internal Server Error
Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{ "data": "example", "error": "example", "message": "example", "status": "example"}